@import url('https://fonts.googleapis.com/css2?family=Mochiy+Pop+P+One&display=swap');

:root {
  --main-text-color: #ed0082;
}

html, body {
    font-family: 'Mochiy Pop P One', sans-serif;
    margin: 0;
    padding: 0;
    width: 100%;
}


body{
    background-image: url("../img/imgs/fond_1.png");
    background-size: 7%;
}

input,button:hover{
    cursor: pointer;
}
.container{
    width: 60%;
    margin: auto;
    min-height: 80vh;
    background-color: #F5F5F5;
    border-radius: 10px;
}

h1{
    text-align:center;
    color: var(--main-text-color);
    font-size: 50px;
}

#link-site-pots{
    margin:auto;
    text-align: center;
}

h2{
    text-align:center;
    color: var(--main-text-color);
    font-size: 40px;
}

h3{
    text-align:center;
    color: var(--main-text-color);
    font-size: 30px;
}

table{
    font-family: arial;
    text-align: center;
    width: 50%;
    margin: auto;
    height: 250px;
}
table tr{
    color: #2C62D7;
    background-color: #D0D4DE;
    border-radius: 3px;
    display: grid;
}

table tr:hover{
    cursor: pointer;
    background-color: #BECDF5;
    border-radius: 5px;
}

table tbody{
    display: grid;
    height: 100%;
    overflow-y: scroll;
    width: 100%;
}

#form-research{
    font-family: arial;
    text-align: center;
    font-size: 15px;
    width: 50%;
    margin-left:auto;
    margin-right: auto;
}

#div-button{
    text-align: center;
    margin-top: 30px;
    margin-bottom: 30px;
    font-size: 15px;
    font-family: arial;
}

#log-add-chant{
    text-align: center;
    width: 50%;
    margin: auto;
}
#log-add-chant form{
    display: grid;
    width: 40%;
    margin: 10px auto auto auto;
    text-align: center;
}
#log-add-chant form input{
    text-align: center;
    margin-top: 10px;
}
#p-incorrectpass{
    color: red;
    background-color: white;
    margin: auto;
    margin-top: 10px;
}

#button-icon{
    margin-bottom: -2px;
    margin-left: 5px;
}
input[type="image" i] {
    height: 20px;
    margin-bottom: -5px;
}

/*.text-area{
    background-color: #D0D4DE;
    width: 50%;
    text-align: center;
    font-size: 100%;
    height: max-content;
    max-height: 400px;
    resize: none;
}*/

.paroles{
    background-color: #D0D4DE;
    width: 50%;
    text-align: center;
    font-family: arial;
    margin: auto;
    white-space: pre-wrap;
}

.container-text-area{
    text-align: center;
    line-height: 1.5;
}

footer{
    bottom: 0;
    background-color: #F5F5F5;
    text-align: center;
    margin: 15px auto auto auto;
    width: 60%;
    font-family: 'Mochiy Pop P One', sans-serif;
    font-size: 10px;
}

#footer-img{
    border-radius: 75px;
}

/*page d'ajout*/
#form-add{
    display: grid;
    text-align: center;
    font-family: arial;
}

#form-add input,textarea{
    margin-top: 20px;
    margin-bottom: 20px;
    width: 80%;
    text-align: center;
    margin-left: auto;
    margin-right: auto ;
}

.alert{
    font-family: arial;
    text-align: center;
    font-size: 25px;
}
.alert-danger{
    color:red;
}
.alert-success{
    color: green;
}

#button_acceuil{
    font-size: 30px;
    text-align: center;
}

#linkreturnid{
    margin:20%;
}

@media only screen and (max-width: 1000px) and (min-width: 100px) {
    body{
        background-image: none;
    }


    h1{
        font-size: 6vw;
    }

    h2{
        font-size: 5.5vw;
    }

    h3{
        font-size: 5vw;
    }

    .container{
        width: 100%;
    }
    table{
        width: 90%;
        height: 450px;
        font-size: 5.5vw;
    }
    
    #svg-refresh{
        margin-bottom: 15px;
        height:5.5vw;
        width:5.5vw;
    }

    #log-add-chant{
        width: 100%;
    }
    #log-add-chant form{
        width: 70%;
    }

    .paroles {
        width: 90%;
        font-size: 5.5vw;
    }

    #form-research{
        width: 90%;
        display:grid;
        margin-bottom: 20px;
    }
    input,button{
        text-align: center;
        font-size: 5vw;
        margin: 3px;
    }

    footer{
        width: 100%;
        font-size: 5.5vw;
    }

    #footer-img{
        width: 50%;
        border-radius: 200px;
    }
}